# Uses of Class
org.apache.datasketches.tuple.aninteger.IntegerSummary

Packages that use IntegerSummary
Package
Description
org.apache.datasketches.tuple.aninteger
This package is for a generic implementation of the Tuple sketch for single Integer value.

## Uses of IntegerSummary in org.apache.datasketches.tuple.aninteger

Methods in org.apache.datasketches.tuple.aninteger that return IntegerSummary
Modifier and Type
Method
Description
`IntegerSummary`
IntegerSummary.`copy()`
`IntegerSummary`
IntegerSummarySetOperations.`intersection(IntegerSummary a, IntegerSummary b)`
`IntegerSummary`
IntegerSummaryFactory.`newSummary()`
`IntegerSummary`
IntegerSummarySetOperations.`union(IntegerSummary a, IntegerSummary b)`
`IntegerSummary`
IntegerSummary.`update(Integer value)`
Methods in org.apache.datasketches.tuple.aninteger that return types with arguments of type IntegerSummary
Modifier and Type
Method
Description
`static DeserializeResult<IntegerSummary>`
IntegerSummary.`fromMemory(org.apache.datasketches.memory.Memory mem)`
Creates an instance of the IntegerSummary given a serialized representation
`DeserializeResult<IntegerSummary>`
IntegerSummaryDeserializer.`heapifySummary(org.apache.datasketches.memory.Memory mem)`
Methods in org.apache.datasketches.tuple.aninteger with parameters of type IntegerSummary
Modifier and Type
Method
Description
`IntegerSummary`
IntegerSummarySetOperations.`intersection(IntegerSummary a, IntegerSummary b)`
`IntegerSummary`
IntegerSummarySetOperations.`union(IntegerSummary a, IntegerSummary b)`